Bug 1244511 - Acer Switch 12: need support for keyboard's Fn+ control keys (patch)
Summary: Acer Switch 12: need support for keyboard's Fn+ control keys (patch)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-19 14:02 UTC by Nicholas Kudriavtsev
Modified: 2015-08-19 08:11 UTC (History)
7 users (show)

Fixed In Version: kernel-4.1.5-100.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-19 08:03:54 UTC
Type: Bug


Attachments (Terms of Use)
Enable support for Acer Switch 12 keyboard's Fn+ control keys (3.35 KB, patch)
2015-07-19 14:02 UTC, Nicholas Kudriavtsev
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Linux Kernel 101721 None None None Never

Description Nicholas Kudriavtsev 2015-07-19 14:02:04 UTC
Created attachment 1053623 [details]
Enable support for Acer Switch 12 keyboard's Fn+ control keys

Please, enable support for Acer Switch 12 keyboard's Fn+ control keys.

Keyboard's Fn+ control keys (brightness up/down, volume up/down, mute, sleep) don't work on Acer Aspire Switch 12.

evtest shows nothing.

dmesg shows:
[    4.482596] hidraw: raw HID events driver (C) Jiri Kosina
[    4.482716] usbcore: registered new interface driver usbhid
[    4.482718] usbhid: USB HID core driver
[    4.939074] hid-generic 0003:04F2:1421.0001: input,hidraw0: USB HID v1.11 Keyboard [Chicony USB Wireless HID Receiver] on usb-0000:00:14.0-3/input0
[    4.940129] hid (null): usage index exceeded
[    4.940462] hid-generic 0003:04F2:1421.0002: usage index exceeded
[    4.940524] hid-generic 0003:04F2:1421.0002: item 0 2 2 2 parsing failed
[    4.940603] hid-generic: probe of 0003:04F2:1421.0002 failed with error -22
[    4.941557] hid-generic 0003:04F2:1421.0003: input,hidraw1: USB HID v1.11 Mouse [Chicony USB Wireless HID Receiver] on usb-0000:00:14.0-3/input2
[    4.942446] hid-generic 0003:04F2:1421.0004: hiddev0,hidraw2: USB HID v1.11 Device [Chicony USB Wireless HID Receiver] on usb-0000:00:14.0-3/input3
[    7.794624] i2c_hid i2c-ITE8351:00: error in i2c_hid_init_report size:19 / ret_size:18
[    7.888373] hid-multitouch 0018:06CB:77B4.0006: input,hidraw3: <UNKNOWN> HID v1.00 Device [SYNA7501:00 06CB:77B4] on 
[   45.395311] hid-generic 0005:046D:B008.0007: unknown main item tag 0x0
[   45.395856] hid-generic 0005:046D:B008.0007: input,hidraw4: BLUETOOTH HID v3.18 Mouse [Bluetooth Laser Travel Mouse] on 74:29:af:80:1a:00

I made a patch to add support for Switch 12's keyboard and tested it on Fedora 22's current 4.0.8 kernel. The patch works.


I need directions to enable hardware sleep and volume buttons on Switch 12.

Comment 1 Laura Abbott 2015-07-20 17:32:17 UTC
Glad to see you have a patch. This needs to go upstream first before we can take it into Fedora. You will probably get a faster result if you send it to the mailing list instead of posting a bugzilla, please see https://fedoraproject.org/wiki/Kernel/SubmittingUpstream as a guide.

Comment 2 Nicholas Kudriavtsev 2015-07-21 10:49:02 UTC
OK, I reported to linux-input@vger.kernel.org

Comment 3 Nicholas Kudriavtsev 2015-07-29 14:52:32 UTC
Accepted for 4.3

https://git.kernel.org/cgit/linux/kernel/git/jikos/hid.git/commit/?h=for-4.3/chicony

Comment 4 Josh Boyer 2015-08-04 18:33:27 UTC
Congratulations on getting your patch upstream!  I've backported it and it will be included in the next build and update for all Fedora branches.

Comment 5 Fedora Update System 2015-08-12 00:20:58 UTC
kernel-4.1.5-100.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-4.1.5-100.fc21

Comment 6 Fedora Update System 2015-08-12 00:22:55 UTC
kernel-4.1.5-200.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.1.5-200.fc22

Comment 7 Fedora Update System 2015-08-13 16:54:08 UTC
Package kernel-4.1.5-100.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-4.1.5-100.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13391/kernel-4.1.5-100.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-08-19 08:03:54 UTC
kernel-4.1.5-200.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-08-19 08:11:50 UTC
kernel-4.1.5-100.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.